from threading import Thread
from valeurs import *


class Timer(Thread):

    def __init__(self, valeur,verrou):
        Thread.__init__(self)
        
    def run(self):
        i=0
        while 1:
			#~ with verrou:
			if valeur[i].tempsRestant() < 30:
				if valeur[i].getNewTaux() > 0:
					valeur[i].MiseEnVente()
				else:
					valeur[i].MiseEnAnnulation()
			time.sleep(0.4)
			i=i+1
			if i<39:
				i=0
